Skip to main content
POST
/
connection_groups
Create Connection Group
curl --request POST \
  --url https://api.xplenty.com/{account_id}/api/connection_groups \
  --header 'Accept: <accept>' \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "connection_group": {
    "name": "<string>",
    "description": "<string>"
  },
  "connections": [
    {
      "id": 123,
      "type": "<string>"
    }
  ]
}
'
import requests

url = "https://api.xplenty.com/{account_id}/api/connection_groups"

payload = {
"connection_group": {
"name": "<string>",
"description": "<string>"
},
"connections": [
{
"id": 123,
"type": "<string>"
}
]
}
headers = {
"Accept": "<accept>",
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
Accept: '<accept>',
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
connection_group: {name: '<string>', description: '<string>'},
connections: [{id: 123, type: '<string>'}]
})
};

fetch('https://api.xplenty.com/{account_id}/api/connection_groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 123,
  "name": "<string>",
  "description": "<string>",
  "account_id": 123,
  "modified_by": {
    "name": "<string>",
    "email": "<string>"
  },
  "connections": [
    {
      "id": 123,
      "name": "<string>",
      "type": "<string>"
    }
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Enter your API key as the username. Leave the password field blank. Example: curl -u YOUR_API_KEY: https://api.xplenty.com/...

Headers

Accept
string
default:application/vnd.xplenty+json; version=2
required

API version header — required on all requests

Body

application/json
connection_group
object
required
connections
object[]

Connections to attach to the new group.

Response

201 - application/vnd.xplenty+json; version=2

Connection group created

id
integer
name
string
description
string | null
account_id
integer
modified_by
object

User who last modified the group.

connections
object[]

Database and cloud storage connections assigned to this group.

created_at
string<date-time>
updated_at
string<date-time>
Last modified on June 9, 2026